// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: ProfileService.proto

package com.entrytask.server.rpc.common.grpc;

public interface pictureRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.entrytask.server.rpc.common.grpc.pictureRequest)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>string username = 1;</code>
   */
  java.lang.String getUsername();
  /**
   * <code>string username = 1;</code>
   */
  com.google.protobuf.ByteString
      getUsernameBytes();

  /**
   * <code>string picturePath = 2;</code>
   */
  java.lang.String getPicturePath();
  /**
   * <code>string picturePath = 2;</code>
   */
  com.google.protobuf.ByteString
      getPicturePathBytes();

  /**
   * <code>bytes file = 3;</code>
   */
  com.google.protobuf.ByteString getFile();

  /**
   * <code>string pictureName = 4;</code>
   */
  java.lang.String getPictureName();
  /**
   * <code>string pictureName = 4;</code>
   */
  com.google.protobuf.ByteString
      getPictureNameBytes();
}
